Loading...
Searching...
No Matches
org.linphone.lime.LimeEncryptionPolicy Enum Reference

## Public Attributes

| DRMESSAGE =(0)
| CIPHERMESSAGE =(1)
| OPTIMIZEUPLOADSIZE =(2)
| OPTIMIZEGLOBALBANDWIDTH =(3)

## Protected Member Functions

int | getNative ()
| get the native value (used to give input parameter values)

## Member Function Documentation

## getNative()

int org.linphone.lime.LimeEncryptionPolicy.getNative | ( |  | ) |

inline protected

get the native value (used to give input parameter values)

Returns
  the native value associated

## Member Data Documentation

## CIPHERMESSAGE

org.linphone.lime.LimeEncryptionPolicy.CIPHERMESSAGE =(1)

the plaintext input is encrypted with a random key and this random key is encrypted to each participant inside the Double Ratchet message(for a single recipient the overhead is 48 bytes)

## DRMESSAGE

org.linphone.lime.LimeEncryptionPolicy.DRMESSAGE =(0)

the plaintext input is encrypted inside the Double Ratchet message (each recipient get a different encryption): not optimal for messages with numerous recipient

## OPTIMIZEGLOBALBANDWIDTH

org.linphone.lime.LimeEncryptionPolicy.OPTIMIZEGLOBALBANDWIDTH =(3)

optimize bandwith usage: encrypt in DR message if plaintext is short enougth to beat the overhead introduced by cipher message scheme, otherwise use cipher message. Selection is made on uploadand download (from server to recipients) sizes added.

## OPTIMIZEUPLOADSIZE

org.linphone.lime.LimeEncryptionPolicy.OPTIMIZEUPLOADSIZE =(2)

optimize upload size: encrypt in DR message if plaintext is short enougth to beat the overhead introduced by cipher message scheme, otherwise use cipher message. Selection is made on upload size only. This is the default policy used

The documentation for this enum was generated from the following file:

- /build/lime-9DdzML/lime-5.3.105+dfsg/src/java/org/linphone/lime/LimeEncryptionPolicy.java